uuid: 2e64cb1f-34d6-454e-be63-41d2f0ba4ba5
langcode: en
status: true
dependencies:
  config:
    - orlando_interface_pp.connections_type.default
    - taxonomy.vocabulary.organization
    - taxonomy.vocabulary.person
  module:
    - content_entity_builder
    - dynamic_entity_reference
    - orlando_interface_ingestion
    - orlando_interface_pp
    - taxonomy
id: connections_block
label: 'Connections block'
module: views
description: 'A listing of connections which are placed as block to avoid exposed form errors'
tag: ''
base_table: oi_connections
base_field: id
display:
  default:
    id: default
    display_title: Default
    display_plugin: default
    position: 0
    display_options:
      title: Timeline
      fields:
        source__target_id:
          id: source__target_id
          table: oi_connections
          field: source__target_id
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: oi_connection
          entity_field: source
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: '0'
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: dynamic_entity_reference_entity_view
          settings:
            oi_connection:
              view_mode: default
            node:
              view_mode: default
            bibcite_contributor:
              view_mode: default
            crop:
              view_mode: default
            block_content:
              view_mode: default
            menu_link_content:
              view_mode: default
            file:
              view_mode: default
            bibcite_keyword:
              view_mode: default
            media:
              view_mode: default
            paragraph:
              view_mode: default
            profile_event:
              view_mode: timeline_author_profile
            bibcite_reference:
              view_mode: default
            search_api_task:
              view_mode: default
            shortcut:
              view_mode: default
            oi_syntax_component:
              view_mode: default
            taxonomy_term:
              view_mode: default
            path_alias:
              view_mode: default
            user:
              view_mode: default
          group_column: ''
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
      pager:
        type: full
        options:
          offset: 0
          items_per_page: 15
          total_pages: null
          id: 0
          tags:
            next: Next
            previous: Previous
            first: First
            last: Last
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: 'Oldest first'
          sort_desc_label: 'Newest first'
      access:
        type: none
        options: {  }
      cache:
        type: tag
        options: {  }
      empty:
        area_text_custom:
          id: area_text_custom
          table: views
          field: area_text_custom
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text_custom
          empty: true
          content: '<p>No timeline events available.</p>'
          tokenize: true
      sorts:
        date_value:
          id: date_value
          table: profile_event
          field: date_value
          relationship: profile_event__source
          group_type: group
          admin_label: ''
          entity_type: profile_event
          entity_field: date_value
          plugin_id: oii_datetime
          order: ASC
          expose:
            label: Date
            field_identifier: date_value
          exposed: true
          granularity: second
      arguments:
        tid:
          id: tid
          table: taxonomy_term_field_data
          field: tid
          relationship: taxonomy_term__subject
          group_type: group
          admin_label: ''
          entity_type: taxonomy_term
          entity_field: tid
          plugin_id: taxonomy
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: taxonomy_tid
          default_argument_options:
            term_page: '1'
            node: false
            limit: false
            vids: {  }
            anyall: ','
          default_argument_skip_url: false
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: true
          validate:
            type: 'entity:taxonomy_term'
            fail: empty
          validate_options:
            bundles:
              organization: organization
              person: person
            access: false
            operation: view
            multiple: 0
          break_phrase: false
          not: false
      filters:
        type:
          id: type
          table: oi_connections
          field: type
          entity_type: oi_connection
          entity_field: type
          plugin_id: bundle
          value:
            default: default
          expose:
            operator_limit_selection: false
            operator_list: {  }
      style:
        type: default
      row:
        type: fields
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          disable_automatic_base_fields: false
          replica: false
          query_tags: {  }
      relationships:
        profile_event__source:
          id: profile_event__source
          table: oi_connections
          field: profile_event__source
          relationship: none
          group_type: group
          admin_label: 'Source: Profile event'
          entity_type: oi_connection
          plugin_id: standard
          required: true
        taxonomy_term__subject:
          id: taxonomy_term__subject
          table: oi_connections
          field: taxonomy_term__subject
          relationship: none
          group_type: group
          admin_label: 'Target: Taxonomy term'
          entity_type: oi_connection
          plugin_id: standard
          required: true
      use_ajax: true
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - 'url.query_args:sort_order'
      tags: {  }
  block_timeline_person_organization:
    id: block_timeline_person_organization
    display_title: 'Block: Timeline Person and Organization page'
    display_plugin: block
    position: 1
    display_options:
      display_description: 'Connections with profile event as source displayed on the person and organization page'
      display_extenders:
        metatag_display_extender:
          metatags: {  }
          tokenize: false
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - 'url.query_args:sort_order'
      tags: {  }
